Create sync job

Creates a new sync job for an integration with specified configuration

POST/v1/apps/{app_id}/integrations/{integration_id}/sync
API
Integrations
Updated
Apr 26, 2026

integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/sync

Creates a new sync job for an integration with specified configuration

API ownership

  • API family: Integrations API
  • Best for: Integration records, setup verification, app and integration stats, and sync job operations.
  • Do not use from: Direct catalog, media, order, identity, or storefront reads and writes.
  • Guide route: /integrations

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: POST
  • Path: /v1/apps/\{app_id\}/integrations/\{integration_id\}/sync
  • Summary: Create sync job
  • Description: Creates a new sync job for an integration with specified configuration
  • OpenAPI contract: integrations-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringApp UUID
integration_idpathYesstringIntegration UUID
Request bodyDocumented body
  • Required: Yes
  • Description: Sync configuration
  • Content: application/json (object)

Sync Config

PropertyTypeRequiredDetails
full_syncbooleanNo-
item_typesobject[]No-

Sync Config Types

PropertyTypeRequiredDetails
item_idsstring[]No-
typestringNo-

Generated example (synthetic):

{
  "full_sync": false,
  "item_types": [
    {
      "item_ids": [
        "string"
      ],
      "type": "string"
    }
  ]
}
Responses4 statuses
StatusDescriptionContent
200Sync job created successfullyapplication/json
400Invalid requestapplication/json (object)
404Integration not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Schema

PropertyTypeRequiredDetails
dataobjectNo-
successbooleanNo-
Sync Created
PropertyTypeRequiredDetails
breakdownobjectNo-
jobs_createdintegerNo-
sync_idstringNo-

Generated example (synthetic):

{
  "data": {
    "breakdown": {},
    "jobs_created": 0,
    "sync_id": "string"
  },
  "success": false
}

400 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

404 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

500 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Integrations API
  • Method: POST
  • Path: /v1/apps/\{app_id\}/integrations/\{integration_id\}/sync
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Sync
  • OpenAPI summary: Create sync job

Create sync job

# Create sync job Creates a new sync job for an integration with specified configuration
POST /v1/apps/{app_id}/integrations/{integration_id}/sync
Purpose

Creates a new sync job for an integration with specified configuration

Required inputs

app_id path integration_id path

Primary response

200 ยท Sync job created successfully

Operation key

integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/sync

## API ownership - API family: Integrations API - Best for: Integration records, setup verification, app and integration stats, and sync job operations. - Do not use from: Direct catalog, media, order, identity, or storefront reads and writes. - Guide route: [/integrations](/integrations) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `POST` - Path: `/v1/apps/{app_id}/integrations/{integration_id}/sync` - Summary: Create sync job - Description: Creates a new sync job for an integration with specified configuration - OpenAPI contract: integrations-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/sync` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | App UUID | | integration_id | path | Yes | string | Integration UUID | ## Request body - Required: Yes - Description: Sync configuration - Content: application/json (object) ### Sync Config | Property | Type | Required | Details | | --- | --- | --- | --- | | `full_sync` | boolean | No | - | | `item_types` | object[] | No | - | #### Sync Config Types | Property | Type | Required | Details | | --- | --- | --- | --- | | `item_ids` | string[] | No | - | | `type` | string | No | - | **Generated example (synthetic):** ```json { "full_sync": false, "item_types": [ { "item_ids": [ "string" ], "type": "string" } ] } ``` ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Sync job created successfully | application/json | | 400 | Invalid request | application/json (object) | | 404 | Integration not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Schema | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object | No | - | | `success` | boolean | No | - | ##### Sync Created | Property | Type | Required | Details | | --- | --- | --- | --- | | `breakdown` | object | No | - | | `jobs_created` | integer | No | - | | `sync_id` | string | No | - | **Generated example (synthetic):** ```json { "data": { "breakdown": {}, "jobs_created": 0, "sync_id": "string" }, "success": false } ``` ### 400 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 404 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 500 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Integrations API - Method: `POST` - Path: `/v1/apps/{app_id}/integrations/{integration_id}/sync` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/sync` - OpenAPI tag: Sync - OpenAPI summary: Create sync job